/*
 ReadAnalogVoltage
 Analóg pinen feszültség kiolvasás
 Kiolvassa az analóg 0 pin értékét, az eredményt pedig átszámolja feszültség értéknek, majd kiírja serial monitoron. A potméter középső lábát A0-ba kötjük, a két szélsőt az 5 V-ba és a földbe. -
 */

void setup() {
        // inicializáljuk a soros kommunikációt 9600 bits/mp-en:
        Serial.begin(9600);
}

void loop() {
	// bemenetként használt A0 pin kiolvasása:
	int sensorValue = analogRead(A0);
	// analóg érték (0-1023) átkonvertálása feszültségértékre (0-5V):
	float voltage = sensorValue * (5.0 / 1023.0);
	// kiírja a kiolvasott értéket:
	Serial.println(voltage);
}


